Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jbo.html.jsp.blaf
Class RowSetDataObjectList

`java.lang.Object
oracle.jbo.html.jsp.blaf.RowSetDataObjectList`

All Implemented Interfaces:
  oracle.cabo.ui.data.DataObject, oracle.cabo.ui.data.DataObjectList

public class RowSetDataObjectList
extends java.lang.Object
implements oracle.cabo.ui.data.DataObjectList, oracle.cabo.ui.data.DataObject

Field Summary
`protected DataSource` | `_ds`
`protected javax.servlet.jsp.PageContext` | `_pageContext`
`static java.lang.String` | `IS_READ_ONLY_`
`protected int` | `lastIndex`

Constructor Summary
`RowSetDataObjectList(javax.servlet.jsp.PageContext pageContext, DataSource ds)`

Method Summary
`DataSource` | `getDataSource()`
`oracle.cabo.ui.data.DataObject` | `getItem(int index)`
`int` | `getLength()`
`javax.servlet.jsp.PageContext` | `getPageContext()`
`RowSet` | `getRowSet()`
`java.lang.Object` | `selectValue(oracle.cabo.ui.RenderingContext context, java.lang.Object select)`
`void` | `setPageContext(javax.servlet.jsp.PageContext ctx)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### _ds

    protected DataSource _ds

### IS_READ_ONLY_

    public static final java.lang.String IS_READ_ONLY_

  See Also:
    Constant Field Values

### lastIndex

    protected int lastIndex

### _pageContext

    protected javax.servlet.jsp.PageContext _pageContext

Constructor Detail

### RowSetDataObjectList

    public RowSetDataObjectList(javax.servlet.jsp.PageContext pageContext,
                                DataSource ds)

Method Detail

### getPageContext

    public javax.servlet.jsp.PageContext getPageContext()

### setPageContext

    public void setPageContext(javax.servlet.jsp.PageContext ctx)

### getDataSource

    public DataSource getDataSource()

### getRowSet

    public RowSet getRowSet()

### getLength

    public int getLength()

  Specified by:
    `getLength` in interface `oracle.cabo.ui.data.DataObjectList`

### getItem

    public oracle.cabo.ui.data.DataObject getItem(int index)

  Specified by:
    `getItem` in interface `oracle.cabo.ui.data.DataObjectList`

### selectValue

    public java.lang.Object selectValue(oracle.cabo.ui.RenderingContext context,
                                        java.lang.Object select)

  Specified by:
    `selectValue` in interface `oracle.cabo.ui.data.DataObject`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1997, 2005, Oracle. All rights reserved.